<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login p-0">
                    <div class="top-user-details col-xl-12 col-12 p-2 d-flex align-items-center">
                      <div class="avatar" *ngIf="candidateProfilePic; else defaultImage">
                        <img [src]="candidateProfilePic" class="img-fluid img-thumbnail rounded-circle">
                      </div>
                      <p class="m-0 fs14 ml-2 fw600 t-verydarkgrey">{{candidateName}}</p>
                      <ng-template #defaultImage>
                        <div class="avatar">
                          <img src="assets/images/default-profile-picture.png" class="img-fluid img-thumbnail rounded-circle">
                        </div>
                      </ng-template>
                    </div>
                    <div class="chat-box p-3"  #chatBoxDiv  [scrollTop]="messageList.length === 0 ? 0 :chatBoxDiv.scrollHeight" >
                        <!-- <div class="avatar" *ngIf="candidateProfilePic; else defaultImage">
                          
? 0 :chatBoxDiv.scrollHeight"
                            <img [src]="candidateProfilePic">
                        </div>
                        <ng-template #defaultImage>
                            <div class="avatar">
                                <img src="assets/images/default-profile-picture.png">
                            </div>
                        </ng-template> -->
                        <div 
                          class="single-message col-xl-12 col-12 p-0 d-flex flex-column flex-wrap justify-content-start" 
                          *ngFor="let message of messageList"
                          [class.align-items-start]="message.receiverId === employerId"
                          [class.align-items-end]="message.receiverId === candidateId"
                        >

                          <p class="fw500 m-0 d-block">
                            <span class="sender-name" *ngIf="message.receiverId === employerId">
                              {{candidateName}}, 
                            </span>
                            <span class="msg-time" *ngIf="message.createdAt">
                              {{message.createdAt | date:'shortTime' }}
                            </span>
                          </p>
                          <div [ngClass]="{'sent-msg':message.receiverId === candidateId,'rcvd-msg':message.receiverId === employerId}">

                              <!-- <p *ngIf="message.receiverId === employerId">{{candidateName}}</p> -->
                              <div class="text-message" *ngIf="message.text">
                                <p class="m-0">{{message.text}}</p>
                              </div>
                              <div class="image-message" *ngIf="message.imageUrl ; let downloadImgSrc">
                                  <a [href]="downloadImgSrc" target="blank">
                                      <img [src]="downloadImgSrc" class="img-fluid">
                                  </a>
                              </div>
                              <div *ngIf="message.attachmentUrl; let downloadDocSrc" class="message-attachment" role="alert">
                                  <a [href]="downloadDocSrc" target="blank">{{downloadDocSrc}}</a>
                              </div>
                              <!-- <p *ngIf="message.createdAt">{{message.createdAt | date:'shortTime' }}</p> -->

                          </div>
                        </div>
                    </div>
                    <div class="progress" *ngIf="isUpload">
                        <div class="progress-bar progress-bar-striped bg-success" role="progressbar"
                            [style.width]="(uploadProgress | async) + '%'"
                            [attr.aria-valuenow]="(uploadProgress | async)" aria-valuemin="0" aria-valuemax="100">
                            <span class="text-center"> Uploading ...</span>
                        </div>
                    </div>

                    <form (ngSubmit)="sendMessage()">
                        <div class="chat-type-box">

                            <input type="text" placeholder="Type a message here..." [formControl]="textMessageToSend">
                            <div class="attachment-rt d-flex align-items-center">
                              <button type="button" class="btn btn-link p-1 fs16 t-verydarkgrey" (click)="sendFile.click()">
                                <i class="fas fa-paperclip"></i>
                              </button>
                              <input type="file" (change)="upload($event)" #sendFile hidden>
                              <button type="submit" class="btn btn-link p-1 fs16 t-verydarkgrey"> <!--  (click)="sendMessage()" -->
                                <i class="fas fa-paper-plane"></i>
                              </button>
                            </div>
                            <!-- <div>
                                <i class="fa fa-paper-plane" type="submit" (click)="sendMessage()"
                                    aria-hidden="true"></i>
                            </div> -->
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
